> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/embedded-wallets/get-device-key-setup-state",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get device key setup state

> Get the state of the specific device setup key under a specific Non Custodial Wallet



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /ncw/wallets/{walletId}/devices/{deviceId}/setup_status
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /ncw/wallets/{walletId}/devices/{deviceId}/setup_status:
    get:
      tags:
        - Embedded Wallets
      summary: Get device key setup state
      description: >-
        Get the state of the specific device setup key under a specific Non
        Custodial Wallet
      operationId: GetEmbeddedWalletDeviceSetupState
      parameters:
        - in: path
          name: walletId
          description: Wallet Id
          example: 550e8400-e29b-41d4-a716-446655440000
          required: true
          schema:
            type: string
        - in: path
          name: deviceId
          description: Device Id
          example: 9ee1bff0-6dba-4f0c-9b75-03fe90e66fa3
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbeddedWalletDeviceKeySetupResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<EmbeddedWalletDeviceKeySetupResponse>> =
            fireblocks.embeddedWallets.getEmbeddedWalletDeviceSetupState(embeddedWalletsApiGetEmbeddedWalletDeviceSetupStateRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<EmbeddedWalletDeviceKeySetupResponse>>
            response =
            fireblocks.embeddedWallets().getEmbeddedWalletDeviceSetupState(walletId,
            deviceId);
        - lang: Python
          source: >-
            response =
            fireblocks.embedded_wallets.get_embedded_wallet_device_setup_state(wallet_id,
            device_id);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    EmbeddedWalletDeviceKeySetupResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/EmbeddedWalletSetUpStatus'
        deviceId:
          type: string
          description: deviceId
          example: deviceIdValue
        enabled:
          type: boolean
          description: enabled
          example: true
        setupStatus:
          type: array
          description: setupStatus
          example:
            - setupStatus: setupStatusValue
              confirmed: true
              backedUp: true
          items:
            type: object
            properties:
              algorithmName:
                $ref: '#/components/schemas/EmbeddedWalletAlgoritm'
              confirmed:
                type: boolean
                description: confirmed
                example: true
              backedUp:
                type: boolean
                description: backedUp
                example: true
            required:
              - algorithmName
              - confirmed
              - backedUp
      required:
        - status
        - deviceId
        - enabled
        - setupStatus
    EmbeddedWalletSetUpStatus:
      type: object
      description: embedded wallet setup status
      properties:
        status:
          type: string
          description: status
          example: COMPLETE
          enum:
            - COMPLETE
            - INCOMPLETE
      required:
        - status
    EmbeddedWalletAlgoritm:
      type: object
      description: algorithm name
      properties:
        algorithm:
          type: string
          description: algorithm
          example: MPC_EDDSA_ED25519
          enum:
            - MPC_ECDSA_SECP256K1
            - MPC_EDDSA_ED25519
      required:
        - algorithm
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````